subroutine Atilde_CoordConversion( &
  & ih_xyz_Atilde, &
  & ih_xyz_U, ih_xyz_V, ih_xyz_W &
  & )

!  use Field_IcGrid3D_pointer_mod, only: &
!    & Field_IcGrid3D_pointer

!  use Utility_GeoCoord, only: &
!    & VecField_GeoCoordConversion

  implicit none
  integer, intent(in) :: ih_xyz_Atilde(12)
  integer, intent(in) :: ih_xyz_U(12)
  integer, intent(in) :: ih_xyz_V(12)
  integer, intent(in) :: ih_xyz_W(12)

!  type(Field_IcGrid3D_pointer) :: h_xyz_Atilde
!  type(Field_IcGrid3D_pointer) :: h_xyz_U
!  type(Field_IcGrid3D_pointer) :: h_xyz_V, h_xyz_W

!  h_xyz_Atilde = transfer(ih_xyz_Atilde, h_xyz_Atilde)
!  h_xyz_U = transfer(ih_xyz_U, h_xyz_U)
!  h_xyz_V = transfer(ih_xyz_V, h_xyz_V)
!  h_xyz_W = transfer(ih_xyz_W, h_xyz_W)

!  call VecField_GeoCoordConversion( &
!    & h_xyz_Atilde%ptr, h_xyz_U%ptr, h_xyz_V%ptr, h_xyz_W%ptr &
!    & )

end subroutine Atilde_CoordConversion
